dev_set_allmulti
Prev | Driver Support | Next

## Name

dev_set_allmulti — update allmulti count on a device

## Synopsis

`void dev_set_allmulti (` | struct net_device * | dev,
| int | inc`)`;

## Arguments

`dev`

  device

`inc`

  modifier

## Description

Add or remove reception of all multicast frames to a device. While the count in the device remains above zero the interface remains listening to all interfaces. Once it hits zero the device reverts back to normal filtering operation. A negative `inc` value is used to drop the counter when releasing a resource needing all multicasts.

Prev | Up | Next
dev_set_promiscuity | Home | dev_unicast_delete